Beta

Update Task

Last updated Nov 19, 2026View as MarkdownAgent setup / MCP
PATCH
/v1/tasks/{task_id}

Change a Task: its status (recommended, not_started, in_progress, done, archived), an optional archive_reason, title, description, goal, assignee (user ID or a teammate's email) or due date. Anyone who can change a Task can set any status, including back from done or archived. To change many: over HTTP, PATCH /v1/tasks (Update Tasks); on MCP, send tasks (1 to 1,000, each with task_id, expected_revision and the changes) to this tool instead of task_id: all or nothing, in order, one receipt; returns count, task_ids and each new revision. A refused Task: details.task_index (from 0).

Authorization

headerAuthorizationBearer <token>

A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.

Path Parameters

task_id*string

Stable Task ID.

Match^tsk_[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

SMB-Workspace-Id*string

Workspace where this operation runs. Required for user tokens and Workspace API keys.

Formatuuid
Idempotency-Key*string
Length8 <= length <= 200

Request Body

application/json
  1. body
expected_revision*integer
Range1 <= value
title?string
Length1 <= length <= 300
description?|
Lengthlength <= 10000
goal_id?|
Match^gol_[0-7][0-9A-HJKMNP-TV-Z]{25}$
assignee_user_id?|
Match^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$
assignee_email?|
Formatemail
assignee_rule?|

Room tasks: link_opener = whoever opens a link that starts from this Room. Not with an assignee.

Value in"link_opener"null
due_at?|
Formatdate-time
upload_folder_id?|

Room tasks: folder for its uploads (null: none).

Match^rfd_[0-7][0-9A-HJKMNP-TV-Z]{25}$
status?Status2

recommended (suggested to someone), not_started, in_progress, done or archived. Anyone who can change the task can move it to any status.

Value in"recommended""not_started""in_progress""done""archived"
archive_reason?|

Optional note on why it is archived. Cleared when the Task leaves archived.

Lengthlength <= 2000

Response Body

Successful authorized response.

application/json
  1. response
data*|
receipt*
idempotent_replay*smb_v0_operations_create_list_request.__local.properties.body.__schema16
request_id*string
curl -X PATCH 'https://example.com/v1/tasks/string' \  -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Idempotency-Key: stringst' \  -H 'Content-Type: application/json' \  -d '{  "expected_revision": 1}'
{  "data": {    "task_id": "string",    "business_id": "string",    "room_id": "string",    "goal_id": "string",    "upload_folder_id": "string",    "title": "string",    "description": "string",    "status": "recommended",    "created_by": {      "type": "user",      "id": "string"    },    "why": "string",    "source": {      "type": "user",      "id": "string"    },    "assignee_user_id": "string",    "assignee_email": "user@example.com",    "assignee_rule": "link_opener",    "due_at": "2019-08-24T14:15:22Z",    "started_at": "2019-08-24T14:15:22Z",    "done_at": "2019-08-24T14:15:22Z",    "archived_at": "2019-08-24T14:15:22Z",    "archive_reason": "string",    "done_with": [      null    ],    "revision": 1,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "receipt": {    "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7",    "command_id": "7d510d78-7444-4252-aeac-9e473949661e",    "operation": "string",    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"  },  "idempotent_replay": true,  "request_id": "string"}